## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 18
%bcond_without check
%global __cargo_skip_build 0

%global crate resctl-demo

%if 0%{?rhel}
# disabling this as it chokes on the vendored dependencies
%undefine __brp_mangle_shebangs
# RHEL doesn't have these macros
%global __crates_url https://crates.io/api/v1/crates/
%global crates_source %{__crates_url}%{crate}/%{version}/download#/%{crate}-%{version}.crate
%global version_no_tilde %{version}
%endif

Name:           rust-%{crate}
Version:        2.1.2
Release:        %autorelease
Summary:        Guided tour of Linux resource control with live demos

# Upstream license specification: Apache-2.0
License:        ASL 2.0 and BSD and MIT
URL:            https://crates.io/crates/resctl-demo
Source:         %{crates_source}
# Vendored dependencies for EPEL, update with ./update-vendor-tarball.sh
Source1:        %{crate}-%{version}-vendor.tar.gz

ExclusiveArch:  %{rust_arches}

%if 0%{?rhel}
BuildRequires:  rust-toolset
%else
BuildRequires:  rust-packaging
%endif

%global _description %{expand:
resctl-demo demonstrates and documents various aspects of resource control
using self-contained workloads in guided scenarios.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}

Requires:       rd-agent = %{version}
Requires:       rd-hashd = %{version}
Requires:       gnuplot

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%doc README.md
%{_bindir}/resctl-demo

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%if 0%{?rhel}
%cargo_prep -V 1
%else
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires
%endif

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Thu Dec 09 2021 Davide Cavalca <dcavalca@fedoraproject.org> 2.1.2-3
- Build for epel9

* Fri Oct 22 2021 Davide Cavalca <dcavalca@fedoraproject.org> 2.1.2-2
- Build for epel8

* Fri Oct 22 2021 Davide Cavalca <dcavalca@fedoraproject.org> 2.1.2-1
- Initial import; Fixes: RHBZ#1997731
